# HG changeset patch
# Node ID 8f4822b1bf9a
# Parent  c6f7795ae294
diff --git a/pidgin/glade/meson.build b/pidgin/glade/meson.build
deleted file mode 100644
--- a/pidgin/glade/meson.build
+++ /dev/null
@@ -1,9 +0,0 @@
-pidgin3_xml = configure_file(
-    input : 'pidgin3.xml.in',
-    output : 'pidgin3.xml',
-    configuration : version_conf,
-    install : true,
-    install_dir : get_option('datadir') / 'glade/catalogs')
-
-devenv.append('GLADE_CATALOG_SEARCH_PATH', meson.current_build_dir())
-
diff --git a/pidgin/glade/pidgin3.xml.in b/pidgin/glade/pidgin3.xml.in
deleted file mode 100644
--- a/pidgin/glade/pidgin3.xml.in
+++ /dev/null
@@ -1,49 +0,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<glade-catalog name="pidgin" version="@PURPLE_MAJOR_VERSION@.@PURPLE_MINOR_VERSION@" library="pidgin3">
-  <glade-widget-classes>
-    <glade-widget-class name="PidginAccountChooser" generic-name="account_chooser" title="AccountChooser"/>
-    <glade-widget-class name="PidginAccountsMenu" generic-name="accounts_menu" title="AccountsMenu"/>
-    <glade-widget-class name="PidginAccountStore" generic-name="account_store" title="AccountStore"/>
-    <glade-widget-class name="PidginAccountFilterConnected" generic-name="account_filter_connected" title="FilterConnected"/>
-    <glade-widget-class name="PidginAccountFilterProtocol" generic-name="account_filter_protocol" title="FilterProtocol"/>
-    <glade-widget-class name="PidginAvatar" generic-name="avatar" title="Avatar"/>
-    <glade-widget-class name="PidginCloseButton" generic-name="close-button" title="CloseButton"/>
-    <glade-widget-class name="PidginConversationWindow" generic-name="conversation_window" title="ConversationWindow"/>
-    <glade-widget-class name="PidginCredentialProviderRow" generic-name="credential_provider_row" title="CredentialProviderRow"/>
-    <glade-widget-class name="PidginCredentialsPage" generic-name="credentials_page" title="CredentialsPage"/>
-    <glade-widget-class name="PidginDialog" generic-name="dialog" title="Dialog"/>
-    <glade-widget-class name="PidginInviteDialog" generic-name="invite_dialog" title="InviteDialog"/>
-    <glade-widget-class name="PidginNotificationList" generic-name="notification_list" title="NotificationList"/>
-    <glade-widget-class name="PidginPresenceIcon" generic-name="presence_icon" title="PresenceIcon"/>
-    <glade-widget-class name="PidginProtocolChooser" generic-name="protocol_chooser" title="ProtocolChooser"/>
-    <glade-widget-class name="PidginProtocolStore" generic-name="protocol_store" title="ProtocolStore"/>
-    <glade-widget-class name="PidginProxyOptions" generic-name="proxy_options" title="ProxyOptions"/>
-    <glade-widget-class name="PidginScrollBook" generic-name="scroll_book" title="ScrollBook"/>
-    <glade-widget-class name="PidginStatusBox" generic-name="status_box" title="StatusBox"/>
-    <glade-widget-class name="PidginStatusPrimitiveChooser" generic-name="status_primitive_chooser" title="StatusPrimitiveChooser"/>
-    <glade-widget-class name="PidginStatusPrimitiveStore" generic-name="status_primitive_store" title="StatusPrimitiveStore"/>
-  </glade-widget-classes>
-  <glade-widget-group name="pidgin" title="Pidgin">
-    <glade-widget-class-ref name="PidginAccountChooser"/>
-    <glade-widget-class-ref name="PidginAccountsMenu"/>
-    <glade-widget-class-ref name="PidginAccountStore"/>
-    <glade-widget-class-ref name="PidginAccountFilterConnected"/>
-    <glade-widget-class-ref name="PidginAccountFilterProtocol"/>
-    <glade-widget-class-ref name="PidginAvatar"/>
-    <glade-widget-class-ref name="PidginCloseButton"/>
-    <glade-widget-class-ref name="PidginConversationWindow"/>
-    <glade-widget-class-ref name="PidginCredentialProviderRow"/>
-    <glade-widget-class-ref name="PidginCredentialsPage"/>
-    <glade-widget-class-ref name="PidginDialog"/>
-    <glade-widget-class-ref name="PidginInviteDialog"/>
-    <glade-widget-class-ref name="PidginNotificationList"/>
-    <glade-widget-class-ref name="PidginPresenceIcon"/>
-    <glade-widget-class-ref name="PidginProtocolChooser"/>
-    <glade-widget-class-ref name="PidginProtocolStore"/>
-    <glade-widget-class-ref name="PidginProxyOptions"/>
-    <glade-widget-class-ref name="PidginScrollBook"/>
-    <glade-widget-class-ref name="PidginStatusBox"/>
-    <glade-widget-class-ref name="PidginStatusPrimitiveChooser"/>
-    <glade-widget-class-ref name="PidginStatusPrimitiveStore"/>
-  </glade-widget-group>
-</glade-catalog>
diff --git a/pidgin/meson.build b/pidgin/meson.build
--- a/pidgin/meson.build
+++ b/pidgin/meson.build
@@ -319,7 +319,6 @@
 	endif
 
 	subdir('data')
-	subdir('glade')
 	subdir('pixmaps')
 	subdir('plugins')
 endif  # ENABLE_GTK
